pkg-perl-tools (0.82) unstable; urgency=medium

  * dpt-fixup: set Standards-Version to 4.7.2.
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Feb 2025 17:38:33 +0100

pkg-perl-tools (0.81) unstable; urgency=medium

  * examples/check-build: adjust piuparts call.
    In 1.5.0 `piuparts' was moved from /usr/sbin to /usr/bin.
  * dpt-fixup: set Standards-Version to 4.7.1.
  * Declare compliance with Debian Policy 4.7.1.
  * Update years of copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Feb 2025 18:44:04 +0100

pkg-perl-tools (0.80) unstable; urgency=medium

  * dpt-fixup: don't bail out if the cme copyright fix fails.
  * dpt-salsa: new subcommand 'deleterepo'.
  * dpt-import-orig: remove more files (signatures) after import.
  * Add libdist-build-perl to Debian::PkgPerl::Util's
    probable_build_dependency().
  * dpt-salsa: add a progress indicator to the mrconfig subcommand
    when run in parallel mode.
  * dpt-debian-upstream: fix warning with perl 5.40.
  * dpt-ci-failure: ignore reports older than 30 days.
    Typically removed packages.
  * dpt-ci-failures: minor documentation fix.
  * dpt-clean-mr-repos: fix import (which causes warnings with perl 5.40).
  * Add another stopword to t/spelling.st.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Nov 2024 01:16:37 +0100

pkg-perl-tools (0.79) unstable; urgency=medium

  * dpt-import-orig: offer to show diff between upstream repo Git tag and
    tag corresponding to the imported tarball.
  * dpt-fixup: set Standards-Version to 4.7.0.
  * Declare compliance with Debian Policy 4.7.0.
  * Update examples/pbuilder-hooks/E10cleanup.
  * dpt-prepare: call grep-excuses with --wipnity for speed improvement.
  * Add w3m to Recommends for grep-excuses's "--wipnity" option.
  * examples/u: adjust to dgit 11.7 (--trust-changelog).
  * examples/check-build: try to fix shellcheck error.
    Use array for REPROTESTPARAMS, as we are already using bash anyway; and
    add another shellcheck override.
  * Update lintian override (line number).
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 May 2024 02:16:15 +0200

pkg-perl-tools (0.78) unstable; urgency=medium

  * Remove references to ancient lintian version from
    README.lintian and package description.
  * t/pod.t: also test files in the man5/ directory.
  * POD fixes: replace `--' with `-' in NAME section.
    Manpages are expected to have one dash as a separator between the name und
    the whatis entry. Otherwise this gets ugly with `whatis' or `man -k'.
  * dpt-missing-upload: encode all ':' and '~' in version
    for creating tags.
  * dpt-never-uploaded:
    - fix comments output
    - check if package is in the NEW queue
  * examples/buildpackage-pdebuild: add support for 'nodoc'.
  * examples/check-build: run duck under timeout.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Mar 2024 11:49:51 +0100

pkg-perl-tools (0.77) unstable; urgency=medium

  [ Damyan Ivanov ]
  * dpt salsa kgb --on: use the new https webhook without port number
    also replaces the legacy webhook with the new one

  [ Tony Mancill ]
  * Update dpt-repack.sh manpage

  [ gregor herrmann ]
  * dpt-gen-itp: set language to Perl if maintainer is the
    Debian Perl Group.
  * examples/u:
    - sign release commit
    - remove --deliberately-not-fast-forward from dgit call, use --overwrite
    - remove .git/dgit/unpack directory from source tree
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Jan 2024 19:06:46 +0100

pkg-perl-tools (0.76) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/check-build: move shellcheck comment out of continuation
    line.
  * examples/check-build: avoid proxy in piuparts call harder.
    '--proxy=' doesn't work (anymore?), piuparts still takes
    Acquire::http::Proxy from the host apt config.
    So explicitly set it to DIRECT to avoid having an unresolvable apt proxy.
  * Add new tool: dpt-never-uploaded.
  * Add dependency on libpath-tiny-perl.
  * dpt-lib.sh: gitddiff(): improve finding last Debian tag.
    Use git-describe and gbp's idea of Debian tags.
    Thanks to Yadd for the bug report and the proposal.
    Closes: #1032105
  * Debian::PkgPerl::Util: add new convenience function
    download_and_cache_file.
  * dpt-never-uploaded: use Debian::PkgPerl::Util's
    download_and_cache_file function.
  * dpt-ci-failures: use Debian::PkgPerl::Util's download_and_cache_file
    function and remove -n option.
  * Update copyright years.
  * dpt-lib.sh{,.pod}: add promptyesno().
  * examples/check-build: use dpt-lib.sh.
  * examples/u: use dpt-lib.sh's promptyesno() function.
  * Set a default value for DPT__SCRIPTS across the board.
    This helps if DPT__SCRIPTS is not set, e.g. when a (sub) command is not
    run via the dpt wrapper.

  [ intrigeri ]
  * GitLab CI: run shellcheck on examples/check-build.
  * check-build: make changes brought by previous commit shellcheck compliant.

  [ gregor herrmann ]
  * Add new files to debian/copyright.
  * Drop unneeded version constraints from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Jul 2023 14:55:07 +0200

pkg-perl-tools (0.75) unstable; urgency=medium

  * dh-make-perl-dev: add --data-dir option.
  * dpt-lib.sh: add OOT environment variable.
  * dh-make-perl-dev: use OOT variable to source dpt-lib.sh.
    dh-make-perl-dev is per definitionem not run from a source package
    directory.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Feb 2023 01:36:37 +0100

pkg-perl-tools (0.74) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-repack.sh: set default for DPT__SCRIPTS.
    When not called as `dpt repack.sh' but from a debian/repack.stub, the
    DPT__SCRIPTS variable is typically unset which makes the script fail.
  * dpt-new-upstream: parse upstream version out of the string returned by
    UDD/vcswatch, which changed recently.
  * dpt-import-orig: redirect STDERR of uscan(1) to /dev/null.
  * dpt-prepare: remove trailing newline from psql output
    (ci.debian.net query).
  * dpt-fixup: check if debian/watch exists before trying to
    grep through it.
  * Add new dpt subcommand: ready-for-upload - list packages in Git which
    need an upload.
  * New script dh-make-perl-dev: run dh-make-perl from Git checkout.
  * examples/u: add -n option (to add --new to dgit push-source).
  * Update copyright years.

  [ intrigeri ]
  * examples/check-build:
    - drop auto-detection of autopkgtest virtualization server and hard-coding
      of the backing chroot/image. Instead, users can now configure their
      preferred virtualization server using these environment variables:
      $AUTOPKGTEST_VIRT_SERVER and $AUTOPKGTEST_VIRT_SERVER_ARGS. Else, the
      default (schroot) is used as a fallback.
    - fix shell syntax for error reporting of non-existent BUILDDIR.
    - remove duplicate "E: " prefix in error message
    - lint. This addresses the shellcheck violations that were the easiest to
      fix.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Feb 2023 21:26:27 +0100

pkg-perl-tools (0.73) unstable; urgency=medium

  * Add more packages to Debian::PkgPerl::Util's
    probable_build_dependency().
  * dpt-missing-upload: use shell library function for info messages.
  * dpt-fixup: bump Standards-Version to 4.6.2.
  * dpt-prepare: add call to uscan(1).
  * examples/buildpackage-pdebuild: add -c option.
    (dpkg-buildpackage's -nc)
  * Declare compliance with Debian Policy 4.6.2.
  * Remove alternative "mr".
    This package name only exists in oldoldoldstable, so it might be time to
    let go. (Closes: #788307)
  * bts-srcpkg: output RC bug numbers in red.
  * Update lintian override (line number).

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Dec 2022 03:58:14 +0100

pkg-perl-tools (0.72) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-lib.sh: change order of functions/variables.
  * examples/check-build: disable time variation for reprotest.
    While this is helpful, it fails consistently for packages with patches.
  * Update copyright years.
  * dpt-fixup: also handle unversioned debhelper dependency.
  * Update lintian override.
  * dpt-lib.sh: nicer output if there is no diff against
    the last Debian tag.

  [ Salvatore Bonaccorso ]
  * examples/buildpackage-pdebuild: Use grep -E instead of deprecated egrep
  * examples/check-build: Use egrep -E instead of deprecated egrep
  * autopkgtest: smoke: use grep -E instead of deprecated egrep
  * dpt: Use grep -E instead of deprecated egrep
  * scripts/fixup: Use grep -E instead of deprecated egrep
  * scripts/lib/posix-lib.sh: Use grep -E instead of deprecated egrep
  * packagecheck: Use grep -E instead of deprecated egrep

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Sep 2022 18:02:44 +0200

pkg-perl-tools (0.71) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-lib.sh: make header underlines colored as well.

  [ Damyan Ivanov ]
  * dpt-ci-failures: a bit quieter warning about packages missing in the
    distribution.
  * dpt-missing-pristine-tar: try downloading orig.tar with 'apt-get source'
    first.
  * dpt-lib.sh:
    - colored(): short cut when NO_COLOR is set
    - extra_colored(): a variant of colored() setting also the
      background color
  * dpt-prepare: add information about CI status (via UDD)

  [ gregor herrmann ]
  * dpt-salsa:
    - check for and warn about dirty repositories in mrconfig sub-command
    - make warnings and error colored
    - add --verbose option to enable output for otherwise silent subcommands
    - add --parallel/-j option to configurerepo subcommand
  * dpt-fixup: try to enable all hardening flags for arch:any packages if none
    are set yet.
  * Refresh lintian overrides.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2022 12:09:20 +0200

pkg-perl-tools (0.70) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-lib.sh: set NO_COLOR if output is not a terminal in general, and
    remove test from colored() function, as the latter broke colors within
    colors.
  * dpt-prepare: conditionally use popcon's --verbose output if the
    installed python3-popcon is new enough.

  [ Damyan Ivanov ]
  * dpt-prepare: ask for the anykey only if there is diff to show
  * dpt salsa push-repo: fix URL for obtaining tokens

  [ gregor herrmann ]
  * bts-srcpkg: add date and last_modified fields to default output.

  [ Damyan Ivanov ]
  * typo in POD

  [ gregor herrmann ]
  * Move gitddiff function from dpt-prepare to shell library to make it
    reusable and use the function in dpt-prepare.
    Also integrate the check for a diff into the function.
  * dpt-import-orig: add headers to output, and add gitddiff call at the
    end (i.e. offer to show changes against last debian/ tag).
  * Update copyright years.
  * dpt-prepare: colorize icons in output of key package query.
  * bts-srcpkg: tabularize output.
  * Update examples/u: use dpt-lib.sh.
  * Update a lintian override.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jun 2022 01:45:36 +0200

pkg-perl-tools (0.69) unstable; urgency=medium

  [ gregor herrmann ]
  * Add a shell library with functions for dpt-* shell scripts.
  * Use new shell library in some dpt-* subcommands.

  [ Damyan Ivanov ]
  * utility module and a method for checking if a given build-dependency
    can be annotated with !nocheck

  [ gregor herrmann ]
  * Add new dpt subcommand dpt-prepare which helps to automate steps when
    starting to work on a package.
  * Add new dpt subcommand dpt-fixup which automatically applies some
    fixes to the packaging.
  * Add dependencies of dpt-fixup to Recommends.
  * bts-srcpkg: add -t (no title output) option.
  * Update examples/check-build.
  * Makefile: add syntax checks for python scripts.
    Also add test dependency to debian/control.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 May 2022 22:20:20 +0200

pkg-perl-tools (0.68) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix reference to sub command manpage in dpt POD/manpage.
  * dpt-upstream-repo: remove support for finding Git URLs in d/copyright.
    The support was rudimentary at best and found only git:// URLs which
    should be gone by now in the wild.
  * Update copyright years.

  [ Damyan Ivanov ]
  * fix typo in POD
  * use Debian::Upstream::Metadata::Perl from libdebian-source-perl 0.119

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 May 2022 10:50:15 +0200

pkg-perl-tools (0.67) unstable; urgency=medium

  * pkg-perl-autopkgtest: use.t: allow empty lines.
    (Closes: #1008939)
  * Update copyright years for autopkgtest/*.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Apr 2022 20:18:50 +0200

pkg-perl-tools (0.66) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-ci-failures: use curl instead of wget.
  * dpt-ci-failures: sort bug numbers numerically.
  * dpt-salsa: minor POD syntax updates.
  * Update copyright years for dpt-salsa.

  [ Damyan Ivanov ]
  * add an example script for uploading a source-only no-changes rebuild:
    used after the initial upload is accepted from NEW and needed for the
    migration to testing

  [ gregor herrmann ]
  * dpt-salsa: configurerepo(): handle access_level for non-direct
    members.
    Check if a user is a member of the group before querying their access
    level. This avoids a warning about an undefined value.
    The situation happens for DDs who are not "direct" members but have access
    via the Debian group.
    Thanks to Paul Gevers for reporting the warning.
  * Add new script bts-srcpkg:
    query bugs.debian.org for bugs in a source package.
  * Add libmodule-corelist-perl to Recommends.
  * Add some lintian overrides.
  * Fix typo in examples/u.
  * Update copyright years for examples/u.
  * dpt-new-upstream: fix IGNORE-VERSION handling.
    Check if the found version to-be-ignored is actually a valid version
    before feeding it to Dpkg::Version, warn otherwise.
  * Update copyright years for dpt-new-upstream.

  [ Niko Tyni ]
  * use.t: allow multiple whitelist regexps with words and whitespace.
    There is no reason not to support multiple whitelist regular
    expressions, and documentation in autopkgtest.pod says we already do.
    Also, ignoring whitespace and limiting to just one word are
    unnecessary and potentially confusing restrictions that can be lifted.
    While at it, also allow multiple module names in use-name and improve
    the diagnostics to list any non-whitelisted output on failure.
    (Closes: #1008267)

  [ gregor herrmann ]
  * autopkgtest example: needs-recommends → @recommends@.
  * Update copyright years for autopkgtest/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Apr 2022 02:36:45 +0200

pkg-perl-tools (0.65) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-config(5): use '.' instead of 'source' in example.
  * Update copyright years.
  * dpt-salsa: mention needed scopes for the salsa token in POD.
    Thanks to Timothy Legge for discovering this issue.

  [ Damyan Ivanov ]
  * drop usage of debianutils' `which`
    replaced with `command -v` where the full patch is sought, and with
    `command $ARG` when needed for ignoring shell functions

  [ gregor herrmann ]
  * dpt-lp-mass-subscribe: add missing line breaks in POD.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Florian Schlichting ]
  * Lintian::Check->tag() was renamed ->hint() in November 2020
  * Add a first attempt at build-deps-can-be-annotated-nocheck lintian
    check.

  [ Felix Lechner ]
  * Place Lintian checks into their proper Perl name space.

  [ gregor herrmann ]
  * Makefile: update lintian paths.
  * Bump versioned test and runtime dependency on lintian.
  * Lintian profile: use space instead of commas for Enable-Tags-From-
    Check.
  * Update copyright years for lintian/*.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unused lintian override spare-manual-page (for dpt-* subcommands).

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Sep 2021 19:25:41 +0200

pkg-perl-tools (0.64) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: add parameters to KGB webhook to show only successful and
    failed pipeline messages (but not pending ones).

  [ Andrius Merkys ]
  * autopktest -> autopkgtest in short description.

  [ gregor herrmann ]
  * dpt-ci-failures:
    - test some variables before using them in order to avoid warnings
    - change logic when failures are marked as NEW.
      Only annotate a CI failure as new when the package has a
      previous_status, and this previous_status is not 'fail'.
  * Update examples/u.
    Catch another dgit error, and add option to upload .buildinfo file.
  * Fix typo in dpt-missing-upload docs.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Mar 2021 00:15:34 +0100

pkg-perl-tools (0.63) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add the names of the shipped tools to the package description, to
    help discoverability.

  [ intrigeri ]
  * examples/check-build: add support for running autopkgtests in LXC

  [ gregor herrmann ]
  * examples/check-build: disable fileordering variation for reprotest.

  [ Felix Lechner ]
  * Change file extension for Lintian tag; rename Info field to
    Explanation. Mirrors changes in the Lintian code base.

  [ gregor herrmann ]
  * Bump versioned (build) dependency on lintian.
  * Add lintian-brush to Suggests.
  * lintian checks: emit debian-changelog-contains-hint only if
    distribution is not UNRELEASED.
  * Update autopkgtest/examples/default-tests-control.
  * Update copyright years.
  * Remove duplicate entry in debian/copyright. Thanks to lintian.
  * Add lintian override for new false positive source-contains-patch-
    failure-file tag.
  * Declare compliance with Debian Policy 4.5.1.

  * dpt-missing-upstream:
    - use HTTPS for snapshot.debian.org
    - pass --allow-unrelated-histories to `git merge', when merging the
      upstream branch into master at the end.
      Otherwise Git fails since 2.9 when the upstream branch has been newly
      created.
  * dpt-import-orig:
    - when checking upstream Git tags, also look for _$UVERSION.
      This matches the not unpopular RELEASE_1.23 pattern.
    - add some filter options to gbp-import-orig call.
      Filter out '.gitignore', 'debian/*', '.git/*', '.git' from upstream
      tarballs.
  * dpt-ci-failures:
    - error out if downloaded file is empty
    - catch wget failures
  * dpt-debian-upstream:
    - add fixes for GitHub
    - fix URLs for Bug-Submit field as well
  * New script: dpt-missing-upload.
    Downloads and imports package versions uploaded outside of Git, e.g. NMUs.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Jan 2021 02:09:03 +0100

pkg-perl-tools (0.62) unstable; urgency=medium

  * dpt-new-upstream: add QUESTION to the list of keywords to check for in
    debian/changelog entries for classifying a package into the "problem"
    category.
  * Remove lintian checks which have been incorporated into lintian
    proper.
  * Bump versioned (build) dependency on lintian to 2.84.0.
    This is the first version which includes the pkg-perl checks.
  * Add a new lintian check/tag: debian-changelog-contains-hint.
    Check for leftover internal notes in debian/changelog.
  * Update debian/copyright section about "Files: lintian/*".
  * README.lintian: update pointers in documentation about writing checks.

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2020 17:31:27 +0200

pkg-perl-tools (0.61) unstable; urgency=medium

  [ intrigeri ]
  * Quote literal '.' in regexps

  [ gregor herrmann ]
  * dpt-salsa: run configurerepo() at the end of fromattic().
    The default config might have changed after a package has been moved to
    the attic, so re-configure it when moving it back.
  * Update documentation about enabling the pkg-perl lintian profile.
    lintian has changed its profile handling in 2.79.0.
  * dpt-import-orig: rewrite changelog update after import.
    Use gbp-import-orig's --postimport feature, which knows about the new
    upstream version and Debian version, to call debchange instead of
    calculating the new Debian version ourselves, dealing with epochs and (not
    yet) with suffixes.
  * dpt-new-upstream: handle WAITS-FOR without a version.

  [ Felix Lechner ]
  * Remove Lintian check descriptions; they are obsolete.
    Lintian now looks at a check's entry points to derive that information.
  * Adapt Lintian checks to case-sensitive Deb822 parser.
    The deb822 format allows for flexible capitalization, but the parser was
    recently modified to capture the literal field names.

  [ gregor herrmann ]
  * Update examples/u (uploading helper): add distribution to commit
    message.
  * Bump debhelper-compat to 13.
  * Update lintian overrides (renamed tags, changed capitalization).

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jul 2020 00:28:45 +0200

pkg-perl-tools (0.60) unstable; urgency=medium

  * autopkgtests: use.t: check for $ENV{'AUTOPKGTEST_TMP'} only once.
    The duplication was introduced by replacing the old ADTTMP variable
    with AUTOPKGTEST_TMP.
  * dpt-new-upstream: improve WAITS-FOR handling.
    Check against madison if the waited-for package exists (at the
    required version).
  * dpt-salsa: change IRC channel for KGB notifications to
    #debian-perl-changes.
  * dpt-ci-failures: sort by package name.
  * Fix a typo in examples/pbuilder-hooks/E10cleanup.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 16:33:25 +0200

pkg-perl-tools (0.59) unstable; urgency=medium

  * Update the legacy-vendorarch-directory lintian check.
    This is a 'binary' check but the code was looking in the source package.
    Let's check for files instead.
    Thanks to Felix Lechner for pointing out the potential problem.
  * Update lintian tag description files to lintian 2.58.0.
    Remove Certainty field, and update Severity to the new values.
    (Closes: #954331)
  * Bump versioned (build) dependency on lintian.
  * Update copyright years.
  * Declare compliance with Debian Policy 4.5.0.
  * Wrap long lines in changelog entry 0.25.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Mar 2020 15:20:01 +0100

pkg-perl-tools (0.58) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-new-upstream: change the handling of the 'problems' category.
    Only put a package into this category if the version in git is >= the new
    upstream version. Otherwise we might miss new upstream releases which fix
    what we have noted as a problem.
  * dpt-new-upstream: mangle upstream versions with '_'.
    Dpkg::Version's version_compare_relation chokes on invalid versions like
    1.22_90, so we change '_' to a '+' and back later.
  * dpt-debian-upstream: rewrite bitbucket.org URLs to HTTPS as well like
    we do for other services.
  * dpt-salsa: fix warning message when libparallel-forkmanager-perl is
    not installed. Thanks to CSILLAG Tamas for noticing.
  * dpt-salsa: warn about potentially misconfigured repositories.
    The configurerepo() sub sets a tag named 'dpt-salsa-configured', and the
    mrconfig() sub checks for existence of this tag, and outputs the list of
    repositories without it at the end.

  [ Felix Lechner ]
  * Use Lintian's new file index interface in Lintian checks.
    The file lookup functions were updated. The old interface is obsolete.
    Replaces $processable->index with $processable->patched->lookup in
    the checks that ship with this package.

  [ gregor herrmann ]
  * Bump versioned dependency on lintian after the changes in the included
    tests.
  * Add a lintian override for manpage-without-executable tags.
    We have dpt-foo(1) manpages for "dpt foo" subcommands.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Feb 2020 11:31:08 +0100

pkg-perl-tools (0.57) unstable; urgency=medium

  [ gregor herrmann ]
  * Revert "Update lintian override." in last upload.
    Lintian's change of override handling was a quickly fixed bug.
  * examples/mass-commit: add '-o ci.skip' to the recommended push
    command.

  [ Felix Lechner ]
  * Use new Lintian interface in checks.

  [ gregor herrmann ]
  * Change versioned dependency on lintian to 2.29.0 for the updated
    checks.
  * autopkgtest: make messages of smoke test more verbose.

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Dec 2019 18:56:20 +0100

pkg-perl-tools (0.56) unstable; urgency=medium

  [ Xavier Guimard ]
  * autopkgtest: use.t: return 77 if no module found
  * autopkgtest: warn and exit if a smoke-files is missing

  [ intrigeri ]
  * dpt new-upstream:
    - make the contents of the ignore-version category more accurate.
      Don't classify a package in the "ignore-version" category if the
      ignored version is lower than the current upstream one.
    - optimize by short-circuiting earlier when there's no new upstream
      release.
      This avoids having to parse every line of the changelog entry when we
      already know we will ignore whatever such processing might yield.

  [ gregor herrmann ]
  * dpt-takeover: drop ancient git-import-dscs alternative.
  * examples/check-build:
    - autopkgtest: handle more return values and change warning messages
    - write newline between read() and commands
    - add more notifications
  * examples/buildpackage-pdebuild: add new options.
  * Add new example script `u' like "upload" (wrapper around dgit(1) and
    dpt-push (1)).
  * Update lintian override.
  * Declare compliance with Debian Policy 4.4.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Nov 2019 02:26:16 +0100

pkg-perl-tools (0.55) unstable; urgency=medium

  [ Xavier Guimard ]
  * Return a 77 code for skipped tests
  * Add tags "superficial" (except smoke) and "skippable" (all tests) in
    "Restrictions:" field (Closes: #922264)

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild:
    - unset exported variables to avoid leaking them into e.g. autopkgtest
      after the actual build
    - use pbuilders --binary-{arch,indep} for -b/-a options

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Sep 2019 17:44:35 +0200

pkg-perl-tools (0.54) unstable; urgency=medium

  [ Aniol Marti ]
  * dpt-forward: new feature: allow protocol selection using
    DPT_GITHUB_PROTOCOL

  [ Clément Hermann ]
  * dpt gen-itp: encode Maintainer name in From: properly

  [ gregor herrmann ]
  * dpt-debian-upstream: stop adding Name and Contact fields to
    debian/upstream/metadata.
    These fields are deprecated, as they duplicate information from
    debian/copyright.

  [ Alex Muntada ]
  * dpt-forward: add explanation about DPT_GITHUB_ORGNAME. (Closes: #933804)

  [ gregor herrmann ]
  * dpt-ci-failures: filter out failures with other triggers than the
    package or migrations.
  * dpt-debian-upstream: rewrite gitlab.com URLs to HTTPS as well like we
    do for GitHub.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Sep 2019 17:32:41 +0200

pkg-perl-tools (0.53) unstable; urgency=medium

  [ intrigeri ]
  * dpt new-upstream: add a --limit option.
  * ZSH completion: add support for dpt new-upstream's --limit option.
  * dpt new-upstream: don't output packages when the local released version in
    Git is greater or equal to the "new" upstream version UDD knows about.

  [ Clément Hermann ]
  * examples/check-build: if either duck or blhc isn't run because it's not
    installed, say so

  [ gregor herrmann ]
  * dpt-upstream-repo: add "|| true" to git fetch upstream-repo.
    Otherwise dpt-import-orig is broken when the configured repo goes away.

  [ intrigeri ]
  * Drop duplicate autopkgtest documentation.
    This was mostly a duplicate of the doc we have in autopkgtest.pod in
    salsa.debian.org:perl-team/perl-team.pages.debian.net.git
    a.k.a. https://perl-team.pages.debian.net/autopkgtest.html
  * Directly point to the canonical documentation for our autopkgtest
    setup.
  * dpt missing-upstream: migrate from Parse::DebianChangelog to
    Dpkg::Changelog::Debian (Closes: #933135).

  [ Felix Lechner ]
  * Add separate tag files for custom Lintian checks. (Closes: #934100)
    Lintian now stores tag definitions separately from checks. This commit
    does that for the custom Lintian profile used in pkg-perl-tools.
    Moves the tag definitions out of the checks into their own file
    hierarchy, which is sorted alphabetically. Also adds the check
    association to each tag definition.

  [ gregor herrmann ]
  * Update Makefile to install lintian tags.
  * Make (build) dependency on lintian versioned for the new separate
    tags/ directory.

  [ Xavier Guimard ]
  * Provide a configuration file for salsa(1)

  [ gregor herrmann ]
  * Update copyright information in various files and debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Aug 2019 03:24:33 +0200

pkg-perl-tools (0.52) unstable; urgency=medium

  * dpt zsh completion:
    - add files completion for dpt-forward
    - add packagename argument to dpt-takeover

  * dpt-new-upstream: drop unneeded newline when outputting headers in
    case of HTTP failure.
  * dpt-{checkout,upstream-repo}: add --prune when fetching upstream-repo
    remote.

  * examples/mass-commit: add --stats to suggested mr(1) call in order to
    get information about potential failures.
  * examples/buildpackage-pdebuild: -t now also sets
    DEB_BUILD_PROFILES=nocheck.

  * pkg-perl-autopkgtest: replace ADTTMP with AUTOPKGTEST_TMP in use.t and
    smoke.

  * pkg-perl lintian checks: module-build-tiny-needs-newer-debhelper:
    also allow debhelper-compat.

  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Drop (build) dependency on dpkg-dev as now even oldoldstable has a new
    enough version.
  * Bump debhelper-compat to 12.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Jul 2019 12:20:22 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog pkg-perl-autopkgtest`.
